package com.fjhx.purchase.entity.pay.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 采购付款
 * </p>
 *
 * @author 
 * @since 2023-04-13
 */
@Getter
@Setter
@TableName("pay")
public class Pay extends BasePo {

    /**
     * 供应商ID
     */
    private Long supplyId;

    /**
     * 付款总额
     */
    private BigDecimal amount;

    /**
     * 发票类型 字典invoice_type
     */
    private Integer invoiceType;

    /**
     * 付款说明
     */
    private String remark;

    /**
     * 付款期限
     */
    private String deadline;

    /**
     * 单据数量
     */
    private Integer receiptsNum;

    /**
     * 付款方式 funds_payment_method
     */
    private Integer payType;

}
